Skip to main content
`Ctrl`+`K`

# Example Class Reference

2026-01-04

2 min read time

ROCm Docs Core Demo Doxygen Docs: example::Example Class Reference
Public Member Functions | Static Protected Attributes | List of all members
example::Example Class Reference

Example class. More...

`#include <example.hpp>`

Inheritance diagram for example::Example:
[legend]

## Public Member Functions

void | method ()
| This is a method taking no arguments.
int | method2 (int param)
| Example method taking parameters.

## Static Protected Attributes

static int | static_member
| This is a protected static member.

## Detailed Description

Example class.

## Member Function Documentation

## ◆ method2()

int example::Example::method2 | ( | int | param | ) |

Example method taking parameters.

Parameters

  param | The parameter

Returns
  description of the return value

The documentation for this class was generated from the following file:

- example.hpp